
<template>
  <div class="corpo">
    <my-menu :routes="routes"></my-menu>
    <transition name="pagina">
      <router-view></router-view>
    </transition>
  </div>
</template>

<script>
import Home from "./components/home/Home";
import Menu from "./components/shared/menu/Menu";
import { routes } from "./routes";

export default {
  components: {
    "my-home": Home,
    "my-menu": Menu
  },
  data() {
    return {
      routes
    };
  }
};
</script>

<style lang="scss">
.corpo {
  font-family: Helvetica, sans-serif;
  margin: 0 auto;
  width: 96%;
}
.pagna-enter,
.pagina-leave-active {
  opacity: 0;
}

.pagina-enter-active,
.pagina-leave-active {
  transition: opacity 0.4s;
}
</style>
